Returns if a name and/or address matches a phone number. The most common use case of this API is to determine if the person that gave you permission to call is the current phone number owner.
Request
Headers
string
required
Your API Key (LoginId from your DNCScrub account)
Query Parameters
string
required
10-digit phone number to verify
string
First name to match against
string
Last name to match against (required if consentDate not provided)
string
Street address
string
City name
string
State abbreviation
string
ZIP code
string
Consent date in YYYYMMDD format (required if lastName not provided)
string
Optional reference ID for tracking
The more fields provided, the more accurate the response will be.
Output parameters
Field
Description
Phone
Ten digit phone number that was queried. Example 5039367188
ReferenceID
Internal customer referenced ID that was passed in the API submission
VerificationCode
Up to 4 character code identifying the verification level. This is the field to use for match verification. The Match Type and Match Level are only provided for analytics.
PhoneType
1 character code identifying the phone type
MatchType
See Match Table below
MatchLevel
See Match Table below
VerificationCode values
Code
Description
N
Name does not match specified phone number
YA
Name matches specified phone number and full address match
YPA
Name matches specified phone number and partial address match
YL
Name matches and phone number is land line
Y
Name matches the specified phone number and no address match
YP*
Only provided if consent date provided. Confirmed the ownership of the phone has not changed since the consent date; however not able to confirm phone owner’s name.
YX
The identify was verified for the number using high confidence proprietary sources (utility, financial).
U
Unknown. No records exist to make a conclusion about the phone number and name.
PhoneType values
Value
Description
N
Not available
L
Land Line
V
VoIP
W
Wireless
O
Other
Match Table
Category
MatchType
MatchLevel
Description
N/A
N/A
Not available
IP = Individual with phone
IP
100
Exact First, Exact Last, Exact Street Address, Unit W/A, Zip, Phone
IP
101
Fuzzy First, Exact Last, Exact Street Address, Unit W/A, Zip, Phone
IP
102
Exact First, Fuzzy Last, Exact Street Address, Unit W/A, Zip, Phone
IP
103
Fuzzy First, Fuzzy Last, Exact Street Address, Unit W/A, Zip, Phone
IP
104
Exact First, Exact Last, Exact Street Address, Unit Missing, Zip, Phone
IP
105
Fuzzy First, Exact Last, Exact Street Address, Unit Missing, Zip, Phone
IP
106
Exact First, Fuzzy Last, Exact Street Address, Unit Missing, Zip, Phone
IP
107
Fuzzy First, Fuzzy Last, Exact Street Address, Unit Missing, Zip, Phone
IP
108
Exact First, Exact Last, Fuzzy Street Address, Zip, Phone
IP
109
Fuzzy First, Exact Last, Fuzzy Street Address, Zip, Phone
IP
110
Exact First, Fuzzy Last, Fuzzy Street Address, Zip, Phone
IP
111
Fuzzy First, Fuzzy Last, Fuzzy Street Address, Zip, Phone
IP
121
Fuzzy First, Strong Last, Exact Street Address, Unit W/A, Zip, Phone
IP
131
Fuzzy Nickname First, Strong Last, Exact Street Address, Unit W/A, Zip, Phone
HP = Household with phone
HP
200
Exact Last, Exact Street Address, Unit W/A, Zip, Phone
HP
201
Fuzzy Last, Exact Street Address, Unit W/A, Zip, Phone
HP
202
Exact Last, Exact Street Address, Unit Missing, Zip, Phone
HP
203
Fuzzy Last, Exact Street Address, Unit Missing, Zip, Phone
HP
204
Exact Last, Fuzzy Street Address, Zip, Phone
HP
205
Fuzzy Last, Fuzzy Street Address, Zip, Phone
HP
206
Fuzzy Last, Exact Street Address, Unit W/A, Zip, Phone
using (var client = new HttpClient()){ client.DefaultRequestHeaders.Add("loginId", "YOUR_API_KEY"); var response = await client.GetAsync( "https://dataapi.dncscrub.com/v1.4/Data/Verification?phone=5039365190&FirstName=John&LastName=Consumer&Address1=123%20Birch%20St&City=Beaverton&State=OR&PostalCode=97008&ReferenceID=DEMO" ); var result = await response.Content.ReadAsStringAsync(); Console.WriteLine(result);}
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/schema.json","name":"Contact Center Compliance, a Sonera company","colors":{"primary":"#0891B2","light":"#06B6D4","dark":"#0E7490"},"logo":{"light":"https://mintcdn.com/contactcentercompliance/6ilUD822nwmRYi_k/logo/CCC-logo-with-text-light.svg?fit=max\u0026auto=format\u0026n=6ilUD822nwmRYi_k\u0026q=85\u0026s=3456f2cee7a1ed96c2ea5c7d351b17cb","dark":"https://mintcdn.com/contactcentercompliance/6ilUD822nwmRYi_k/logo/CCC-logo-with-text-dark.svg?fit=max\u0026auto=format\u0026n=6ilUD822nwmRYi_k\u0026q=85\u0026s=8bf82650b0ae2089572534a57dae9955"},"favicon":"https://mintcdn.com/contactcentercompliance/yYr_bfAzMyFQXGHf/favicon.png?fit=max\u0026auto=format\u0026n=yYr_bfAzMyFQXGHf\u0026q=85\u0026s=fbd19f8dc2a32f106bfadb158ca0f820","api":{"playground":{}},"appearance":{"default":"light"},"background":{"decoration":"grid"},"navbar":{"links":[{"icon":"building","href":"https://sonera.co","label":"A Sonera company"},{"icon":"signal-bars","href":"https://status.dncscrub.com","label":"Status"},{"icon":"envelope","href":"mailto:support@dnc.com","label":"Support"}],"primary":{"type":"button","label":"DNCScrub Portal","href":"https://www.dncscrub.com"}},"footer":{"links":[{"items":[{"label":"DNCScrub Portal","href":"https://www.dncscrub.com"},{"label":"DNC.com Home","href":"https://www.dnc.com"},{"label":"Sonera","href":"https://sonera.co"}]},{"items":[{"label":"System Status","href":"https://status.dncscrub.com"},{"label":"Contact Support","href":"mailto:support@dnc.com"}]}]},"search":{"prompt":"Search documentation..."},"seo":{"metatags":{"og:site_name":"Contact Center Compliance, a Sonera company","og:description":"DNCScrub API and integration documentation from Contact Center Compliance, a Sonera company: TCPA compliance, DNC scrubbing, litigator detection, reassigned numbers, call deliverability.","twitter:card":"summary_large_image"}},"contextual":{"options":["copy","chatgpt","claude","cursor","vscode","mcp"],"display":"header"},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"contactcentercompliance","hasAudioNarration":false,"actualSubdomain":"contactcentercompliance","customDomains":["docs.dncscrub.com"],"gitSource":{"type":"github","owner":"contactcentercompliance","repo":"dnc-platform","deployBranch":"main","contentDirectory":"mintlify-documentation","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af0ce5a6412adac012942d9","clientVersion":"0.0.4271","searchFilterCounts":[{"language":"default","tag":"API","count":67},{"language":"default","tag":"MCP Server for AI Applications","count":38},{"language":"default","tag":"Call Deliverability (TrustCall)","count":13},{"language":"default","tag":"Other APIs","count":12},{"language":"default","tag":"Reassigned Scrub","count":12},{"language":"default","tag":"Full Scrub","count":10},{"language":"default","tag":"Integrations","count":10},{"language":"default","tag":"Data Enhancement","count":7},{"language":"default","tag":"Getting Started","count":4},{"language":"default","tag":"GeoScrub","count":4}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"control","enabled":true,"payload":{"type":"string","value":"control"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"custom.css","content":".navbar-logo img,img[alt*=\"logo\"],img[src*=\"/logo/\"]{height:50px!important;max-height:50px!important;width:auto!important}#navbar>.max-w-8xl,#navbar+div{max-width:100%!important;margin-left:0!important;margin-right:0!important}.prose :where(img):not(:where([class~=\"not-prose\"],[class~=\"not-prose\"] *)){margin-top:0px!important;margin-bottom:0px!important}"}]}
{"page":{"pagePath":"api-reference/data/verification","slug":"/api-reference/data/verification","pageMetadata":{"title":"Right Party ID","api":"GET https://dataapi.dncscrub.com/v1.4/Data/Verification","description":"Verify phone number ownership by matching against name and address data","href":"/api-reference/data/verification"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Verify phone number ownership by matching against name and address data\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,pre:`pre`,span:`span`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{CodeBlock,CodeGroup,Heading,Note,ParamField,Table}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!CodeGroup)_missingMdxReference(`CodeGroup`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Returns if a name and/or address matches a phone number. The most common use case of this API is to determine if the person that gave you permission to call is the current phone number owner.`}),`\n`,_jsx(Heading,{level:`2`,id:`request`,children:`Request`}),`\n`,_jsx(Heading,{level:`3`,id:`headers`,children:`Headers`}),`\n`,_jsx(ParamField,{header:`loginId`,type:`string`,required:true,id:`param-login-id`,children:_jsx(_components.p,{children:`Your API Key (LoginId from your DNCScrub account)`})}),`\n`,_jsx(Heading,{level:`3`,id:`query-parameters`,children:`Query Parameters`}),`\n`,_jsx(ParamField,{query:`phone`,type:`string`,required:true,id:`param-phone`,children:_jsx(_components.p,{children:`10-digit phone number to verify`})}),`\n`,_jsx(ParamField,{query:`FirstName`,type:`string`,id:`param-first-name`,children:_jsx(_components.p,{children:`First name to match against`})}),`\n`,_jsx(ParamField,{query:`LastName`,type:`string`,id:`param-last-name`,children:_jsx(_components.p,{children:`Last name to match against (required if consentDate not provided)`})}),`\n`,_jsx(ParamField,{query:`Address1`,type:`string`,id:`param-address1`,children:_jsx(_components.p,{children:`Street address`})}),`\n`,_jsx(ParamField,{query:`City`,type:`string`,id:`param-city`,children:_jsx(_components.p,{children:`City name`})}),`\n`,_jsx(ParamField,{query:`State`,type:`string`,id:`param-state`,children:_jsx(_components.p,{children:`State abbreviation`})}),`\n`,_jsx(ParamField,{query:`PostalCode`,type:`string`,id:`param-postal-code`,children:_jsx(_components.p,{children:`ZIP code`})}),`\n`,_jsx(ParamField,{query:`consentDate`,type:`string`,id:`param-consent-date`,children:_jsx(_components.p,{children:`Consent date in YYYYMMDD format (required if lastName not provided)`})}),`\n`,_jsx(ParamField,{query:`ReferenceID`,type:`string`,id:`param-reference-id`,children:_jsx(_components.p,{children:`Optional reference ID for tracking`})}),`\n`,_jsx(Note,{children:_jsx(_components.p,{children:`The more fields provided, the more accurate the response will be.`})}),`\n`,_jsx(Heading,{level:`2`,id:`output-parameters`,children:`Output parameters`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Field`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`Phone`})}),_jsx(_components.td,{children:`Ten digit phone number that was queried. Example 5039367188`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`ReferenceID`})}),_jsx(_components.td,{children:`Internal customer referenced ID that was passed in the API submission`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`VerificationCode`})}),_jsx(_components.td,{children:`Up to 4 character code identifying the verification level. This is the field to use for match verification. The Match Type and Match Level are only provided for analytics.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`PhoneType`})}),_jsx(_components.td,{children:`1 character code identifying the phone type`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`MatchType`})}),_jsx(_components.td,{children:`See Match Table below`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`MatchLevel`})}),_jsx(_components.td,{children:`See Match Table below`})]})]})]}),`\n`,_jsx(Heading,{level:`3`,id:`verificationcode-values`,children:`VerificationCode values`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Code`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`N`})}),_jsx(_components.td,{children:`Name does not match specified phone number`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`YA`})}),_jsx(_components.td,{children:`Name matches specified phone number and full address match`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`YPA`})}),_jsx(_components.td,{children:`Name matches specified phone number and partial address match`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`YL`})}),_jsx(_components.td,{children:`Name matches and phone number is land line`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`Y`})}),_jsx(_components.td,{children:`Name matches the specified phone number and no address match`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`YP*`})}),_jsx(_components.td,{children:`Only provided if consent date provided. Confirmed the ownership of the phone has not changed since the consent date; however not able to confirm phone owner’s name.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`YX`})}),_jsx(_components.td,{children:`The identify was verified for the number using high confidence proprietary sources (utility, financial).`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`U`})}),_jsx(_components.td,{children:`Unknown. No records exist to make a conclusion about the phone number and name.`})]})]})]}),`\n`,_jsx(Heading,{level:`3`,id:`phonetype-values`,children:`PhoneType values`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Value`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`N`})}),_jsx(_components.td,{children:`Not available`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`L`})}),_jsx(_components.td,{children:`Land Line`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`V`})}),_jsx(_components.td,{children:`VoIP`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`W`})}),_jsx(_components.td,{children:`Wireless`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`O`})}),_jsx(_components.td,{children:`Other`})]})]})]}),`\n`,_jsx(Heading,{level:`3`,id:`match-table`,children:`Match Table`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Category`}),_jsx(_components.th,{children:`MatchType`}),_jsx(_components.th,{children:`MatchLevel`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`N/A`}),_jsx(_components.td,{children:`N/A`}),_jsx(_components.td,{children:`Not available`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`IP = Individual with phone`}),_jsx(_components.td,{children:`IP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`100`}),_jsx(_components.td,{children:`Exact First, Exact Last, Exact Street Address, Unit W/A, Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`IP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`101`}),_jsx(_components.td,{children:`Fuzzy First, Exact Last, Exact Street Address, Unit W/A, Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`IP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`102`}),_jsx(_components.td,{children:`Exact First, Fuzzy Last, Exact Street Address, Unit W/A, Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`IP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`103`}),_jsx(_components.td,{children:`Fuzzy First, Fuzzy Last, Exact Street Address, Unit W/A, Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`IP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`104`}),_jsx(_components.td,{children:`Exact First, Exact Last, Exact Street Address, Unit Missing, Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`IP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`105`}),_jsx(_components.td,{children:`Fuzzy First, Exact Last, Exact Street Address, Unit Missing, Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`IP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`106`}),_jsx(_components.td,{children:`Exact First, Fuzzy Last, Exact Street Address, Unit Missing, Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`IP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`107`}),_jsx(_components.td,{children:`Fuzzy First, Fuzzy Last, Exact Street Address, Unit Missing, Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`IP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`108`}),_jsx(_components.td,{children:`Exact First, Exact Last, Fuzzy Street Address, Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`IP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`109`}),_jsx(_components.td,{children:`Fuzzy First, Exact Last, Fuzzy Street Address, Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`IP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`110`}),_jsx(_components.td,{children:`Exact First, Fuzzy Last, Fuzzy Street Address, Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`IP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`111`}),_jsx(_components.td,{children:`Fuzzy First, Fuzzy Last, Fuzzy Street Address, Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`IP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`121`}),_jsx(_components.td,{children:`Fuzzy First, Strong Last, Exact Street Address, Unit W/A, Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`IP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`131`}),_jsx(_components.td,{children:`Fuzzy Nickname First, Strong Last, Exact Street Address, Unit W/A, Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`HP = Household with phone`}),_jsx(_components.td,{children:`HP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`200`}),_jsx(_components.td,{children:`Exact Last, Exact Street Address, Unit W/A, Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`HP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`201`}),_jsx(_components.td,{children:`Fuzzy Last, Exact Street Address, Unit W/A, Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`HP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`202`}),_jsx(_components.td,{children:`Exact Last, Exact Street Address, Unit Missing, Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`HP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`203`}),_jsx(_components.td,{children:`Fuzzy Last, Exact Street Address, Unit Missing, Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`HP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`204`}),_jsx(_components.td,{children:`Exact Last, Fuzzy Street Address, Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`HP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`205`}),_jsx(_components.td,{children:`Fuzzy Last, Fuzzy Street Address, Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`HP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`206`}),_jsx(_components.td,{children:`Fuzzy Last, Exact Street Address, Unit W/A, Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`AP = Address with phone`}),_jsx(_components.td,{children:`AP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`300`}),_jsx(_components.td,{children:`Exact Street Address, Unit W/A, Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`AP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`301`}),_jsx(_components.td,{children:`Exact Street Address, Unit Missing, Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`AP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`302`}),_jsx(_components.td,{children:`Fuzzy Street Address, Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`NP = Name/Phone`}),_jsx(_components.td,{children:`NP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`400`}),_jsx(_components.td,{children:`Exact First, Exact Last, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`NP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`401`}),_jsx(_components.td,{children:`Fuzzy First, Exact Last, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`NP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`402`}),_jsx(_components.td,{children:`Exact First, Fuzzy Last, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`NP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`403`}),_jsx(_components.td,{children:`Fuzzy First, Fuzzy Last, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`LP = Last Name/Phone`}),_jsx(_components.td,{children:`LP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`450`}),_jsx(_components.td,{children:`Exact Last, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`LP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`451`}),_jsx(_components.td,{children:`Fuzzy Last, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`FP = First Name/Phone`}),_jsx(_components.td,{children:`FP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`460`}),_jsx(_components.td,{children:`Exact First, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`FP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`461`}),_jsx(_components.td,{children:`Fuzzy First, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{children:`FP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`462`}),_jsx(_components.td,{children:`Fuzzy First, Phone, names reversed`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`ZP = Zip/Phone`}),_jsx(_components.td,{children:`ZP`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`500`}),_jsx(_components.td,{children:`Zip, Phone`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`P = Phone`}),_jsx(_components.td,{children:`P`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`900`}),_jsx(_components.td,{children:`Phone Verified`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`None`}),_jsx(_components.td,{children:`X`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`900`}),_jsx(_components.td,{children:`No match found`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`None`}),_jsx(_components.td,{children:`X`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`999`}),_jsx(_components.td,{children:`No match found`})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`example-request`,children:`Example Request`}),`\n`,_jsxs(CodeGroup,{children:[_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`11`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`11`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --location`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --request`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` GET`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'https://dataapi.dncscrub.com/v1.4/Data/Verification`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` ?phone=5039365190`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \u0026FirstName=John`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \u0026LastName=Consumer`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \u0026Address1=123%20Birch%20St`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \u0026City=Beaverton`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \u0026State=OR`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \u0026PostalCode=97008`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \u0026ReferenceID=DEMO'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --header`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'loginId: YOUR_API_KEY'`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`JavaScript`,numberOfLines:`11`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`11`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` response`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` fetch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'https://dataapi.dncscrub.com/v1.4/Data/Verification?phone=5039365190\u0026FirstName=John\u0026LastName=Consumer\u0026Address1=123%20Birch%20St\u0026City=Beaverton\u0026State=OR\u0026PostalCode=97008\u0026ReferenceID=DEMO'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` method:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'GET'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` headers:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'loginId'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'YOUR_API_KEY'`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` data`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` response`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`json`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`console`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`log`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`data`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`C#`,numberOfLines:`11`,language:`csharp`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`csharp`,children:_jsxs(_components.code,{language:`csharp`,numberOfLines:`11`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`using`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` (`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`var`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` client`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` new`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#4EC9B0`},children:` HttpClient`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`())`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` client`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`DefaultRequestHeaders`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`Add`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"loginId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"YOUR_API_KEY\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` var`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` response`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` client`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`GetAsync`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://dataapi.dncscrub.com/v1.4/Data/Verification?phone=5039365190\u0026FirstName=John\u0026LastName=Consumer\u0026Address1=123%20Birch%20St\u0026City=Beaverton\u0026State=OR\u0026PostalCode=97008\u0026ReferenceID=DEMO\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` );`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` var`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` result`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` response`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`Content`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`ReadAsStringAsync`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` Console`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`WriteLine`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`result`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Right Party ID","api":"GET https://dataapi.dncscrub.com/v1.4/Data/Verification","description":"Verify phone number ownership by matching against name and address data","href":"/api-reference/data/verification"}}},"mdxSourceWithNoJs":null,"noJsSplices":[[363,367,"ResponseExample,Tabl"],[639,654,"ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!Table)_missingM"],[29572,29586,",`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:`Response`,numberOfLines:`8`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`8`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"Phone\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"5039365190\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"ReferenceID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"DEMO\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"VerificationCode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"U\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"PhoneType\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"W\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"MatchType\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"X\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"MatchLevel\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"900\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})})]})}function M"]]},"mdxExtracts":{"tableOfContents":[{"title":"Request","slug":"request","depth":2,"children":[{"title":"Headers","slug":"headers","depth":3,"children":[]},{"title":"Query Parameters","slug":"query-parameters","depth":3,"children":[]}]},{"title":"Output parameters","slug":"output-parameters","depth":2,"children":[{"title":"VerificationCode values","slug":"verificationcode-values","depth":3,"children":[]},{"title":"PhoneType values","slug":"phonetype-values","depth":3,"children":[]},{"title":"Match Table","slug":"match-table","depth":3,"children":[]}]},{"title":"Example Request","slug":"example-request","depth":2,"children":[]}],"codeExamples":{"response":{"type":"ResponseExample","children":[{"filename":"Response","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"8\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"Phone\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"5039365190\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"ReferenceID\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"DEMO\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"VerificationCode\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"U\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"PhoneType\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"W\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"MatchType\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"X\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"MatchLevel\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"900\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Right Party ID","path":"/v1.4/Data/Verification","servers":[{"url":"https://dataapi.dncscrub.com"}],"method":"get","request":{"security":[],"parameters":{"query":{"phone":{"schema":[{"type":"string","description":"10-digit phone number to verify","required":true}]},"FirstName":{"schema":[{"type":"string","description":"First name to match against"}]},"LastName":{"schema":[{"type":"string","description":"Last name to match against (required if consentDate not provided)"}]},"Address1":{"schema":[{"type":"string","description":"Street address"}]},"City":{"schema":[{"type":"string","description":"City name"}]},"State":{"schema":[{"type":"string","description":"State abbreviation"}]},"PostalCode":{"schema":[{"type":"string","description":"ZIP code"}]},"consentDate":{"schema":[{"type":"string","description":"Consent date in YYYYMMDD format (required if lastName not provided)"}]},"ReferenceID":{"schema":[{"type":"string","description":"Optional reference ID for tracking"}]}},"header":{"loginId":{"schema":[{"type":"string","description":"Your API Key (LoginId from your DNCScrub account)","required":true}]}},"cookie":{},"path":{}},"body":{}},"response":{},"deprecated":false}},"jsLinks":[],"subdomain":"contactcentercompliance","siteName":"Contact Center Compliance, a Sonera company","title":"Right Party ID - Contact Center Compliance, a Sonera company","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-02-12T00:29:40.081Z","originalFileLocation":"api-reference/data/verification.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Verify phone number ownership by matching against name and address data\">\u003cmeta data-mint-head name=\"application-name\" content=\"Contact Center Compliance, a Sonera company\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/contactcentercompliance/xhfGJsT7tKvbHzqe/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/contactcentercompliance/xhfGJsT7tKvbHzqe/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/contactcentercompliance/xhfGJsT7tKvbHzqe/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/contactcentercompliance/xhfGJsT7tKvbHzqe/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/contactcentercompliance/xhfGJsT7tKvbHzqe/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/contactcentercompliance/xhfGJsT7tKvbHzqe/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/contactcentercompliance/xhfGJsT7tKvbHzqe/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/contactcentercompliance/xhfGJsT7tKvbHzqe/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/contactcentercompliance/xhfGJsT7tKvbHzqe/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Right Party ID - Contact Center Compliance, a Sonera company\">\u003cmeta data-mint-head property=\"og:description\" content=\"DNCScrub API and integration documentation from Contact Center Compliance, a Sonera company: TCPA compliance, DNC scrubbing, litigator detection, reassigned numbers, call deliverability.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Contact Center Compliance, a Sonera company\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.dncscrub.com/api-reference/data/verification\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://contactcentercompliance.mintlify.site/_mintlify/api/og/v2?division=Data+Enhancement\u0026amp;title=Right+Party+ID\u0026amp;description=Verify+phone+number+ownership+by+matching+against+name+and+address+data\u0026amp;theme=c99c9abf65e07033a2fea846\u0026amp;signature=4058e65a90dc719320dc9014c0af301e2e2818afe83786aaae78b28f328d8447\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Right Party ID - Contact Center Compliance, a Sonera company\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"DNCScrub API and integration documentation from Contact Center Compliance, a Sonera company: TCPA compliance, DNC scrubbing, litigator detection, reassigned numbers, call deliverability.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://contactcentercompliance.mintlify.site/_mintlify/api/og/v2?division=Data+Enhancement\u0026amp;title=Right+Party+ID\u0026amp;description=Verify+phone+number+ownership+by+matching+against+name+and+address+data\u0026amp;theme=c99c9abf65e07033a2fea846\u0026amp;signature=4058e65a90dc719320dc9014c0af301e2e2818afe83786aaae78b28f328d8447\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/contactcentercompliance/xhfGJsT7tKvbHzqe/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Contact Center Compliance, a Sonera company\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0891B2\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.dncscrub.com/api-reference/data/verification\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/data/verification.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.dncscrub.com/#organization\",\"name\":\"Contact Center Compliance, a Sonera company\",\"url\":\"https://docs.dncscrub.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/contactcentercompliance/6ilUD822nwmRYi_k/logo/CCC-logo-with-text-light.svg?fit=max\u0026auto=format\u0026n=6ilUD822nwmRYi_k\u0026q=85\u0026s=3456f2cee7a1ed96c2ea5c7d351b17cb\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.dncscrub.com#website\",\"name\":\"Contact Center Compliance, a Sonera company\",\"url\":\"https://docs.dncscrub.com\",\"publisher\":{\"@id\":\"https://docs.dncscrub.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.dncscrub.com/api-reference/data/verification#webpage\",\"url\":\"https://docs.dncscrub.com/api-reference/data/verification\",\"name\":\"Right Party ID\",\"description\":\"Verify phone number ownership by matching against name and address data\",\"dateModified\":\"2026-02-12T00:29:40.081Z\",\"isPartOf\":{\"@id\":\"https://docs.dncscrub.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.dncscrub.com/api-reference/data/verification#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.dncscrub.com/api-reference/data/verification#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Data Enhancement\",\"item\":\"https://docs.dncscrub.com/api-reference/data/overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Right Party ID\",\"item\":\"https://docs.dncscrub.com/api-reference/data/verification\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.dncscrub.com/api-reference/data/verification#apireference\",\"headline\":\"Right Party ID\",\"name\":\"Right Party ID\",\"description\":\"Verify phone number ownership by matching against name and address data\",\"url\":\"https://docs.dncscrub.com/api-reference/data/verification\",\"mainEntityOfPage\":{\"@id\":\"https://docs.dncscrub.com/api-reference/data/verification#webpage\"},\"dateModified\":\"2026-02-12T00:29:40.081Z\",\"publisher\":{\"@id\":\"https://docs.dncscrub.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.dncscrub.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Contact Center Compliance, a Sonera company\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Contact Center Compliance, a Sonera company\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/data/verification.md","siteName":"Contact Center Compliance, a Sonera company","nav":{"global":null,"tabs":[{"tab":"Welcome","icon":"home","pages":[{"title":"Welcome","href":"/introduction"}]},{"tab":"API","icon":"book","groups":[{"group":"Getting Started","pages":[{"title":"API Overview","sidebarTitle":"Overview","href":"/api-reference/overview"},{"title":"API Authentication","href":"/api-reference/authentication"},{"title":"API Concepts","sidebarTitle":"Concepts","href":"/api-reference/api-concepts"},{"title":"Rate Limits","sidebarTitle":"Rate Limits and Best Practices","href":"/api-reference/other/rate-limits"}]},{"group":"Full Scrub","pages":[{"title":"Full Scrub API Overview","href":"/api-reference/scrub/overview"},{"title":"Scrub Single Number","sidebarTitle":"Single Number","api":"GET https://www.dncscrub.com/app/main/rpc/scrub","href":"/api-reference/scrub/scrub-single"},{"title":"Scrub Multiple Numbers","api":"POST https://www.dncscrub.com/app/main/rpc/scrub","href":"/api-reference/scrub/scrub-multiple"},{"title":"Scrub + Add EBR","sidebarTitle":"Scrub + Add EBR","api":"POST https://www.dncscrub.com/app/main/rpc/scrub","href":"/api-reference/scrub/scrub-ebr"},{"title":"Compliance for AI Voice Agents","sidebarTitle":"AI Voice Agents","href":"/api-reference/scrub/ai-voice-agents"},{"title":"Scrub with Unique Identifiers","sidebarTitle":"Unique Identifiers","api":"GET https://www.dncscrub.com/app/main/rpc/scrub","href":"/api-reference/scrub/unique-identifier"},{"title":"Internal DNC List","api":"GET https://www.dncscrub.com/app/main/rpc/pdnc","href":"/api-reference/scrub/internal-dnc"},{"title":"EBR and Consent Master","sidebarTitle":"EBR and Consent","api":"POST https://www.dncscrub.com/app/main/rpc/ebr","href":"/api-reference/scrub/ebr-list"},{"title":"Handling Opt-Outs and Opt-Ins","sidebarTitle":"Opt-Outs \u0026 Opt-Ins","href":"/api-reference/scrub/opt-outs-and-opt-ins"},{"title":"Output Guide","href":"/api-reference/scrub/output-guide"}]},{"group":"Litigator-Only Scrub","pages":[{"title":"Litigator API","href":"/api-reference/litigator/overview"},{"title":"Litigator Scrub Single Number","sidebarTitle":"Litigator Scrub Single Number","api":"GET https://dataapi.dncscrub.com/v1.5/Scrub/litigator","href":"/api-reference/litigator/scrub-get"},{"title":"Litigator Scrub Multiple Numbers","sidebarTitle":"Litigator Scrub Multiple Numbers","api":"POST https://dataapi.dncscrub.com/v1.5/Scrub/litigator","href":"/api-reference/litigator/scrub-post"}]},{"group":"Reassigned Scrub","pages":[{"title":"Reassigned Scrub","sidebarTitle":"Reassigned Scrub","href":"/api-reference/reassigned/overview"},{"title":"RND Basic API","href":"/api-reference/reassigned/rnd-basic"},{"title":"RND Basic (GET)","api":"GET https://dataapi.dncscrub.com/v1.5/Data/RNDBasic","href":"/api-reference/reassigned/rnd-basic-get"},{"title":"RND Basic (POST)","api":"POST https://dataapi.dncscrub.com/v1.5/Data/RNDBasic","href":"/api-reference/reassigned/rnd-basic-post"},{"title":"Reassigned Authority Plus API","href":"/api-reference/reassigned/authority-plus"},{"title":"Reassigned Authority Plus (GET)","api":"GET https://dataapi.dncscrub.com/v1.5/Data/EnhancedRND","href":"/api-reference/reassigned/enhanced-rnd-get"},{"title":"Reassigned Authority Plus (POST)","api":"POST https://dataapi.dncscrub.com/v1.5/Data/EnhancedRND","href":"/api-reference/reassigned/enhanced-rnd-post"},{"title":"Reassigned Authority API","href":"/api-reference/reassigned/authority"},{"title":"Reassigned Authority (GET)","api":"GET https://dataapi.dncscrub.com/v1.5/Data/TCPAAuthority","href":"/api-reference/reassigned/authority-get"},{"title":"Reassigned Authority (POST)","api":"POST https://dataapi.dncscrub.com/v1.5/Data/TCPAAuthority","href":"/api-reference/reassigned/authority-post"},{"title":"File Formats","href":"/api-reference/reassigned/file-formats"},{"title":"Test Numbers","href":"/api-reference/reassigned/test-numbers"}]},{"group":"Call Deliverability (TrustCall)","pages":[{"title":"TrustCall Overview","href":"/api-reference/trustcall/overview"},{"title":"TrustCall Premier (Monitor) API","href":"/api-reference/trustcall/premier"},{"title":"Add Phone Numbers","api":"POST https://dataapi.dncscrub.com/v1.5/TrustCall/Add","href":"/api-reference/trustcall/add"},{"title":"Remove Phone Numbers","api":"POST https://dataapi.dncscrub.com/v1.5/TrustCall/Remove","href":"/api-reference/trustcall/remove"},{"title":"Get Spam Scores","api":"GET https://dataapi.dncscrub.com/v1.5/TrustCall/Get","href":"/api-reference/trustcall/get"},{"title":"Get All Spam Scores","api":"GET https://dataapi.dncscrub.com/v1.5/TrustCall/GetAll","href":"/api-reference/trustcall/get-all"},{"title":"Get All Legal Entities","api":"GET https://dataapi.dncscrub.com/v1.5/TrustCall/GetAllLegalEntities","href":"/api-reference/trustcall/get-all-legal-entities"},{"title":"Create Legal Entity","api":"POST https://dataapi.dncscrub.com/v1.5/legalentity/Create","href":"/api-reference/trustcall/legal-entity-create"},{"title":"Update Legal Entity","api":"PUT https://dataapi.dncscrub.com/v1.5/legalentity/Update","href":"/api-reference/trustcall/legal-entity-update"},{"title":"One-Time Scan API","href":"/api-reference/trustcall/one-time-scan"},{"title":"Submit One-Time Scan","api":"POST https://dataapi.dncscrub.com/v1.5/TrustCall/OneTimeScan","href":"/api-reference/trustcall/one-time-scan-submit"},{"title":"One-Time Scan Status","api":"GET https://dataapi.dncscrub.com/v1.5/TrustCall/OneTimeScan","href":"/api-reference/trustcall/one-time-scan-status"},{"title":"Flags Removed Summary","api":"GET https://dataapi.dncscrub.com/v1.5/TrustCall/FlagsRemovedSummary","href":"/api-reference/trustcall/flags-removed-summary"}]},{"group":"Data Enhancement","pages":[{"title":"Data APIs Overview","href":"/api-reference/data/overview"},{"title":"Reverse Phone ID Append","api":"GET https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend","href":"/api-reference/data/reverse-phone-id-append"},{"title":"Business Verify ID","api":"GET https://dataapi.dncscrub.com/v1.4/Data/ResOrBusiness","description":"Determines whether a phone number is associated with a residential or business line.","href":"/api-reference/data/res-or-business"},{"title":"Right Party ID","api":"GET https://dataapi.dncscrub.com/v1.4/Data/Verification","href":"/api-reference/data/verification"},{"title":"Wireless ID Premium","api":"GET https://dataapi.dncscrub.com/v1.4/Data/IDPremium","description":"Premium phone identification including carrier and phone type information.","href":"/api-reference/data/id-premium"},{"title":"Real-Time Disconnect","api":"GET https://dataapi.dncscrub.com/v1.4/Data/RealTimeDisconnect","href":"/api-reference/data/real-time-disconnect"},{"title":"Usage Statistics","api":"GET https://dataapi.dncscrub.com/v1.4/Data/Usage","href":"/api-reference/data/usage"}]},{"group":"GeoScrub","pages":[{"title":"GeoScrub Overview","href":"/api-reference/geoscrub/overview"},{"title":"Get Timezone Info","openapi":"POST /v1.5/GeoScrub/GetTimeZoneInfo","href":"/api-reference/geoscrub/timezone-info"},{"title":"Legal Call Times for Date","openapi":"POST /v1.5/GeoScrub/LegalCallTimesForDate","href":"/api-reference/geoscrub/legal-call-times"},{"title":"Is Time Legal to Call","openapi":"POST /v1.5/GeoScrub/IsTimeLegalToCall","href":"/api-reference/geoscrub/is-time-legal"}]},{"group":"Other APIs","pages":[{"title":"Get OAuth Token","openapi":"POST /v1.5/OAuth/token","href":"/api-reference/other/oauth-token"},{"title":"Validate Authentication","openapi":"GET /v1.5/Auth/Validate","href":"/api-reference/other/auth-validate"},{"title":"Compliance Guide API","href":"/api-reference/other/compliance-guide"},{"title":"State Restricted Holidays","openapi":"GET /v1.5/ComplianceGuide/StateRestrictedHolidays","href":"/api-reference/other/state-holidays"},{"title":"State Emergencies","openapi":"GET /v1.5/ComplianceGuide/StateEmergenciesRestricted","href":"/api-reference/other/state-emergencies"},{"title":"Global Connect API","href":"/api-reference/other/global-connect"},{"title":"Global Connect Query","openapi":"GET /v1.5/gc/Query","href":"/api-reference/other/global-connect-query"},{"title":"Create or Update Project (v1.5)","api":"PUT https://dataapi.dncscrub.com/v1.5/projects/{projectCode}","href":"/api-reference/other/projects-upsert"},{"title":"Get Project (v1.5)","api":"GET https://dataapi.dncscrub.com/v1.5/projects/{projectCode}","href":"/api-reference/other/projects-get"},{"title":"List Projects (v1.5)","api":"GET https://dataapi.dncscrub.com/v1.5/projects","href":"/api-reference/other/projects-list"},{"title":"Louisiana and Oklahoma Registration","href":"/api-reference/other/state-registrations"},{"title":"Create or Update Project","api":"POST https://www.dncscrub.com/app/main/rpc/project","href":"/api-reference/other/project-create"}]},{"group":"Code Examples","pages":[{"title":"C# Examples","href":"/examples/csharp"},{"title":"JavaScript Examples","href":"/examples/javascript"}]}]},{"tab":"Integrations","icon":"plug","pages":[{"title":"Integrations","href":"/integrations/overview"}]},{"tab":"MCP Server for AI Applications","icon":"browser","pages":[{"title":"MCP Server for AI Applications","href":"/mcp/applications/overview"}]},{"tab":"MCP Server for Developers","icon":"terminal","pages":[{"title":"MCP Server for Developers","href":"/mcp/developers/overview"}]}]},"basePath":"","title":"Right Party ID - Contact Center Compliance, a Sonera company","deploymentId":"dpl_Em2U4NQQ2N2DE3HPbPUJVZLnAtvc","buildId":"dpl_Em2U4NQQ2N2DE3HPbPUJVZLnAtvc","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-_HcdDqS2.js","snippetPresets-CXnm-WO6.js","utils-Dg59J__o.js","style-to-object-BY3JEAdk.js","utils-D8TRpdk7.js","v4-DIgz8zy6.js","addUniqueKeysToSchema-B6QaxWc5.js","conditional-requirements-CFM0id0Q.js","cloneDeep-DeMZ-lcM.js","_Uint8Array-BjA2mcVW.js","isObject-FP1Yky1u.js","ApiExamples-cjPyMv63.js","usePlaygroundInputsStore-D7BWoaw4.js","shallow-Z1ceDNSG.js","isEqual-BObTuQrO.js","CodeSnippets-D1UZ1AE-.js","CodeSnippet-B373COAT.js","getApiPlaygroundDisplay-CfL-UuDS.js","Page-DuqezyvM.js","DynamicMarkdown-5yMTCLas.js","SectionHeading-BxT1HYfP.js","icon-DYJTTD3g.js","MethodPill-4AyycJeu.js","getPastedJson-Bp3WV6cN.js","Check2Icon-PhZu6Gry.js","axios-CsQoIw0U.js"]}